Loading...
Searching...
No Matches
globjects::StaticStringSource Class Reference

StaticStringSource is a StringSource using an std::string as source. More...

`#include <globjects/include/globjects/base/StaticStringSource.h>`

Inheritance diagram for globjects::StaticStringSource:

## Public Member Functions

| StaticStringSource (const std::string &string)
| StaticStringSource (const char *data, size_t length)
virtual std::string | shortInfo () const override
virtual std::string | string () const override
void | setString (const std::string &string)
Public Member Functions inherited from globjects::AbstractStringSource
virtual std::vector< std::string > | strings () const
std::vector< const AbstractStringSource * > | flatten () const
virtual void | flattenInto (std::vector< const AbstractStringSource * > &vector) const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const
Public Member Functions inherited from globjects::Changeable
void | changed () const
void | registerListener (ChangeListener *listener)
void | deregisterListener (ChangeListener *listener)

## Protected Attributes

std::string | m_string

## Additional Inherited Members

Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Detailed Description

StaticStringSource is a StringSource using an std::string as source.

The string can be queried with string().

See also
  StringSource

## Constructor & Destructor Documentation

## StaticStringSource() [1/2]

globjects::StaticStringSource::StaticStringSource | ( | const std::string & | string | ) |

## StaticStringSource() [2/2]

globjects::StaticStringSource::StaticStringSource | ( | const char * | data,
|  | size_t | length
| ) |  |

## Member Function Documentation

## shortInfo()

virtual std::string globjects::StaticStringSource::shortInfo | ( |  | ) | const

override virtual

Reimplemented from globjects::AbstractStringSource.

## string()

virtual std::string globjects::StaticStringSource::string | ( |  | ) | const

override virtual

Implements globjects::AbstractStringSource.

## setString()

void globjects::StaticStringSource::setString | ( | const std::string & | string | ) |

## Member Data Documentation

## m_string

std::string globjects::StaticStringSource::m_string

protected

The documentation for this class was generated from the following file:

- StaticStringSource.h